namespace Bases.InheritanceChain;

public class Conversions
{
    public static void UseAsDerived(Base baseArg)
    {
        var d = (Derived)baseArg;

        // ... tutaj możemy coś zrobić ze zmienną d
    }

    public static void MightUseAsDerived(Base b)
    {
        var d = b as Derived;

        if (d != null)
        {
            // ... tutaj możemy zrobić coś ze zmienną d
        }
    }
}
